## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global         srcname     google-cloud-private-ca
%global         reponame    google-cloud-python

Name:           python-%{srcname}
Version:        1.8.2
Release:        %autorelease
Summary:        Python Client for Google Cloud Certificate Authority Service

License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python
Source0:        %{url}/archive/refs/tags/%{srcname}-v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python Client for Google Cloud Certificate Authority Service}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
# Upstream buries the package into a subdirectory. 😭
%setup -c -T
tar xzf %{SOURCE0} --strip-components=3 \
    %{reponame}-%{srcname}-v%{version}/packages/%{srcname}

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unneeded directories and files from the final package.
rm -f %{buildroot}%{_bindir}/fixup_privateca_v1beta1_keywords.py
rm -rf %{buildroot}%{python3_sitelib}/{docs,samples,scripts,tests}


%check
%pyproject_check_import -e google.cloud.security.privateca*

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md samples
%{python3_sitelib}/google_cloud_private_ca-%{version}-py%{python3_version}-nspkg.pth



%changelog
* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.8.2-2
- Add packit config

* Tue Sep 19 2023 Major Hayden <major@redhat.com> - 1.8.2-1
- Update to 1.8.2

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Major Hayden <major@redhat.com> - 1.8.1-1
- Update to 1.8.1 rhbz#2219904

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1.8.0-2
- Rebuilt for Python 3.12

* Thu Apr 06 2023 Major Hayden <major@redhat.com> - 1.8.0-1
- Update to 1.8.0 rhbz#2184810

* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.7.1-1
- Update to 1.7.1 rhbz#2182099

* Tue Mar 07 2023 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2175924

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.6.1-1
- Update to 1.6.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.4.3-1
- Update to 1.4.3 rhbz#2131892

* Wed Aug 17 2022 Major Hayden <major@redhat.com> - 1.4.1-1
- Update to 1.4.1 rhbz#2119196

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.4.0-1
- Update to 1.4.0 rhbz#2108602

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.3.2-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 1.3.1-1
- 🚀 Update to 1.3.1

* Thu Mar 10 2022 Major Hayden <major@mhtx.net> - 1.3.0-1
- Update to 1.3.0

* Tue Mar 08 2022 Major Hayden <major@mhtx.net> - 1.2.4-1
- Update to 1.2.4

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 1.2.3-1
- Update to 1.2.3

* Fri Feb 04 2022 Major Hayden <major@mhtx.net> - 1.2.2-1
- Update to 1.2.2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 04 2021 Major Hayden <major@mhtx.net> - 1.2.1-1
- Update to 1.2.1

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 1.2.0-2
- Remove samples from python3 sitelib

* Mon Oct 25 2021 Major Hayden <major@mhtx.net> - 1.2.0-1
- Update to 1.2.0

* Wed Oct 13 2021 Major Hayden <major@mhtx.net> - 1.1.0-1
- Update to 1.1.0

* Tue Oct 05 2021 Major Hayden <major@mhtx.net> - 1.0.6-1
- Initial import (#2010407)
